*,
*::before,
*::after {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}
::-webkit-scrollbar {
	width: 15px;
}
::-webkit-scrollbar-track {
	box-shadow: inset 0 0 5px rgb(161, 161, 161);
	border-radius: 10px;
}
::-webkit-scrollbar-thumb {
	background: rgb(0, 0, 0);
	border-radius: 10px;
}
body {
	position: relative;
	font-family: 'Montserrat', sans-serif;
	background-color: #fff;
}

.main_view {
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	height: 800px;
	background-image: url('../img/rafdach/lupek_na_dachu.png');
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	text-align: center;
}

.main_view::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: rgba(0, 0, 0, 0.5); /* Czarna nakładka z 50% przezroczystością */
	z-index: 1;
}

.main_view h1 {
	margin: 0;
	max-width: 90%;
	position: relative; /* Ustawienie względne, aby tekst był na wierzchu */
	z-index: 2; /* Ustawienie wyższego indeksu niż nakładka */
	color: #fff;
	font-size: 65px;
	font-family: 'chivo';
}
.contact-links {
	display: flex;
	justify-content: center;
	gap: 20px; /* Odstęp między elementami */
	position: absolute;
	top: 60%; /* Dostosuj zgodnie z potrzebami */
	width: 100%;
	z-index: 2;
	margin-top: 80px;
}

.contact-link {
	display: block;
	background-color: #fff;
	color: #000;
	padding: 20px;
	text-align: center;
	text-decoration: none;
	transition: transform 0.3s; /* Animacja dla efektu pulse */
}
.contact-links a:hover {
	color: #000;
}
.contact-link:hover {
	animation: pulse 1s infinite;
}
/* Styl dla modalu */
.modal {
	display: none; /* Ukryj modal domyślnie */
	position: fixed;
	z-index: 10;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: auto; /* Włącz przewijanie, jeśli potrzeba */
	background-color: rgb(0, 0, 0); /* Kolor tła */
	background-color: rgba(
		0,
		0,
		0,
		0.4
	); /* Ciemne tło z nieco przeźroczystością */
}

.modal-content {
	background-color: #fefefe;
	margin: 15% auto; /* 15% od góry i wyśrodkowany */
	padding: 20px;
	border: 1px solid #888;
	width: 80%; /* Możesz dostosować szerokość */
}

.close {
	color: #aaa;
	float: right;
	font-size: 28px;
	font-weight: bold;
}

.close:hover,
.close:focus {
	color: black;
	text-decoration: none;
	cursor: pointer;
}

/* Styl dla formularza w modalu */
input[type='text'],
input[type='email'],
textarea {
	width: 100%;
	padding: 12px 20px;
	margin: 8px 0;
	display: inline-block;
	border: 1px solid #ccc;
	box-sizing: border-box;
}

#contactFormModal button {
	background-color: #000000;
	color: white;
	padding: 14px 20px;
	margin: 8px 0;
	border: none;
	cursor: pointer;
	width: 100%;
}
#contactFormModal a {
	color: #000;
}
button:hover {
	opacity: 0.8;
}
.technologies {
	position: absolute;
	bottom: 50px; /* Odległość od dolnej krawędzi .main_view */
	display: flex;
	justify-content: center;
	width: 100%;
	z-index: 1;
}

.tech-item {
	padding: 10px 20px;
	margin: 0 10px;
	background-color: transparent;
	color: #fff; /* Biały tekst */
	border: 2px solid #fff; /* Biała ramka */
	text-decoration: none;
	transition: background-color 0.3s, color 0.3s; /* Animacja dla efektu najechania */
}

.tech-item:hover {
	background-color: #ffffff; /* Niebieskie tło przy najechaniu */
	color: #000000; /* Biały tekst przy najechaniu */
	animation: pulse 1s infinite;
}

@keyframes pulse {
	0% {
		transform: scale(1);
		box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.7);
	}
	70% {
		transform: scale(1.05);
		box-shadow: 0 0 10px 20px rgba(255, 255, 255, 0);
	}
	100% {
		transform: scale(1);
		box-shadow: 0 0 0 0 rgba(255, 255, 255, 0);
	}
}

.about_company {
	display: flex;
	flex-wrap: wrap;
	max-width: 1200px;
	margin-left: auto;
	margin-right: auto;
	margin: 0 auto;
	margin-top: 50px;
}
.company_text {
	flex: 50%;
}
.company_text h2 {
	font-weight: bold;
}
.company_text p {
	margin-right: 20px;
}
.company_image img {
	width: 100%;
}
.company_image {
	flex: 50%;
}
.tlo_special {
	background-image: url('../img/rafdach/tlo/tlo_special.svg');
	background-size: cover; /* Cały obraz tła zmieści się bez przycinania */
	background-position: center; /* Wyśrodkowuje tło */
	background-repeat: no-repeat; /* Zapobiega powtarzaniu się tła */
	display: flex;
	align-items: center;
	justify-content: center;
	min-height: 100vh;
}
@media only screen and (max-width: 800px) {
	.tlo_special {
		background-image: url('../img/rafdach/tlo/tlo_special_mobile.svg');
		background-repeat: no-repeat; /* Zapobiega powtarzaniu się tła */
		height: 1500px;
		background-position: 0;
		background-size: cover;
	}
}
.our_specialties {
	display: flex;
	flex-wrap: wrap;
	max-width: 1200px;
	margin-left: auto;
	margin-right: auto;
	margin-top: 50px;
}
.our_specialties_title {
	flex: 100%;
	margin-bottom: 50px;
}
.our_specialties_title h2 {
	font-weight: bold;
	text-align: center;
}
.our_specialties_content {
	flex: 45;
	margin-left: 10px;
	margin-right: 10px;
}
.our_specialties_content img {
	width: 100%;
	margin-bottom: 20px;
}
.our_specialties_content p {
	text-align: center;
}
#more_realizations1 {
	margin-top: 35px;
}
.cooperation {
	max-width: 1200px;
	margin-left: auto;
	margin-right: auto;
	margin: 0 auto;
	margin-top: 70px;
}
.cooperation_head h2 {
	text-align: center;
	margin-bottom: 50px;
	font-weight: bold;
}
/* SLAJDER */
.swiper-container {
	width: 100%;
	height: 100px; /* Dostosuj wysokość do swoich potrzeb */
	overflow-x: hidden; /* Ukryj poziomy pasek przewijania */
	/* Pozostałe style */
}

.swiper-slide {
	text-align: center;
	font-size: 18px;
	background: #fff;

	/* Centrowanie obrazów wewnątrz slajdów */
	display: -webkit-box;
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	-webkit-justify-content: center;
	justify-content: center;
	-webkit-box-align: center;
	-ms-flex-align: center;
	-webkit-align-items: center;
	align-items: center;
}
.range {
	display: flex;
	flex-wrap: wrap;
	max-width: 1200px;
	margin-left: auto;
	margin-right: auto;
	margin: 0 auto;
	margin-top: 70px;
}
.range_text {
	flex: 45%;
	margin-left: 50px;
}
.range_text h2 {
	font-weight: bold;
}
.range_image {
	flex: 45%;
}
.range_image img {
	width: 100%;
}
.range_icon {
	display: flex;
	align-items: center;
	gap: 20px; /* Dystans między ikoną a tekstem */
	margin-bottom: 20px; /* Odległość między poszczególnymi elementami */
	margin-top: 70px;
}

.range_icon p {
	margin: 0; /* Usuwa domyślne marginesy dla paragrafów */
	font-size: 17px;
}
.realizations {
	max-width: 1200px;
	margin: 0 auto;
	padding: 20px;
	box-sizing: border-box;
	margin-top: 30px;
}
.realizations p {
	text-align: center;
}

.realizations_text {
	text-align: center;
	margin-bottom: 20px;
}
.realizations_text h2 {
	font-weight: bold;
}
.realizations_images {
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap; /* Jeśli chcesz, aby obrazy przechodziły na nową linię, gdy nie mieszczą się */
}

.realization_item {
	flex: 1 1 calc(33.333% - 20px); /* 33.333% szerokości minus marginesy */
	margin: 10px; /* Dostosuj, jeśli potrzebujesz */
	box-sizing: border-box;
}

.realization_item img {
	width: 100%; /* Szerokość obrazu dopasowuje się do kontenera */
	height: auto; /* Wysokość obrazu jest proporcjonalna */
	display: block; /* Usuwa domyślne marginesy od obrazu */
}

.realization_item p {
	text-align: center; /* Wyśrodkowanie tekstu pod obrazem */
}
.more-realizations {
	text-align: center; /* Wyśrodkowanie przycisku */
	margin-top: 20px; /* Odstęp od sekcji realizacji */
}

.more-realizations-btn {
	display: inline-block; /* Umożliwia ustawienie marginesów i paddingów */
	padding: 10px 20px; /* Odstępy wewnątrz przycisku */
	background-color: #000; /* Czarny tło */
	color: #fff; /* Biały tekst */
	text-decoration: none; /* Usuwa podkreślenie z linku */
	border: 2px solid transparent; /* Przezroczysta ramka, potrzebna do animacji */
	position: relative; /* Pozycja względna dla pseudoelementów (animacja paska) */
	transition: all 0.3s ease-in-out; /* Animacja zmiany stylów */
	border-radius: 5px;
}

.more-realizations-btn:hover {
	animation: pulse 1s infinite; /* Animacja pulse */
	border-color: #fff; /* Biały kolor ramki przy najechaniu */
}

.more-realizations-btn::before,
.more-realizations-btn::after {
	content: '';
	position: absolute;
	background-color: #fff; /* Biały pasek */
	transition: all 0.3s ease-in-out;
	animation: slide 1s infinite;
}
@keyframes slide {
	0%,
	100% {
		transform: scale(0);
	}
	50% {
		transform: scale(1);
	}
}
.more-realizations-btn::before {
	top: 0;
	left: 0;
	width: 100%;
	height: 2px; /* Wysokość paska */
	transform: scaleX(0); /* Ukrycie paska */
	transform-origin: left;
}

.more-realizations-btn::after {
	left: 0;
	bottom: 0;
	width: 2px; /* Szerokość paska */
	height: 100%;
	transform: scaleY(0); /* Ukrycie paska */
	transform-origin: bottom;
}

@keyframes pulse {
	0% {
		box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.7);
	}
	70% {
		box-shadow: 0 0 10px 20px rgba(255, 255, 255, 0);
	}
	100% {
		box-shadow: 0 0 0 0 rgba(255, 255, 255, 0);
	}
}
@keyframes pulse {
	0% {
		transform: scale(1);
	}
	50% {
		transform: scale(1.1); /* Lekkie powiększenie */
	}
	100% {
		transform: scale(1);
	}
}
.more-realizations a:hover {
	color: #fff;
}
.why_us {
	max-width: 1200px;
	margin: 0 auto;
	padding: 20px;
	box-sizing: border-box;
	margin-top: 30px;
}

.why_us_text {
	text-align: center;
	margin-bottom: 20px;
}
.why_us_text h2 {
	font-weight: bold;
}
.Why_us_windows {
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap; /* Elementy przechodzą na nową linię, gdy nie mieszczą się */
}

.Why_us_window {
	flex: 1 1 calc(33.333% - 20px);
	margin: 10px;
	box-sizing: border-box;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	transition: box-shadow 0.3s ease-in-out; /* Dodajemy płynne przejście dla cienia */
}

.Why_us_window:hover {
	box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.2); /* Cień po najechaniu */
}

.Why_us_window img {
	width: 30%; /* Szerokość obrazu dopasowuje się do kontenera */
	height: auto; /* Wysokość obrazu jest proporcjonalna */
	display: block; /* Usuwa domyślne marginesy od obrazu */
	margin-bottom: 10px; /* Odstęp między obrazem a tekstem */
}

.Why_us_window p {
	text-align: center; /* Wyśrodkowanie tekstu */
}
p {
	font-family: 'Ubuntu', sans-serif;
	font-weight: 400;
	font-style: normal;
}
h2 {
	font-family: 'chivo';
	font-weight: 400;
	font-style: normal;
}
@media only screen and (max-width: 1300px) {
	.main_view {
		display: block;
		text-align: center;
		flex-direction: column;
		height: auto;
		padding: 20px 0; /* Dodaj trochę paddingu na górze i dole */
		height: 1200px;
	}
	.main_view h1 {
		font-size: 50px;
		max-width: 100%;
		padding-top: 30px;
	}

	.contact-links {
		flex-direction: column;
		gap: 10px; /* Zmniejsz odstęp między linkami kontaktowymi */
		top: 35%;
	}

	.contact-link {
		width: 90%; /* Zwiększ szerokość linków, aby lepiej wykorzystać dostępną przestrzeń */
		margin: 0 auto; /* Wyśrodkuj linki */
	}

	.modal-content {
		width: 95%; /* Zwiększ szerokość modalu, aby lepiej pasował do ekranów mobilnych */
	}

	.tech-item,
	.company_text,
	.company_image,
	.our_specialties_content,
	.range_text,
	.range_image {
		flex: 100%; /* Zmień rozkład na pełną szerokość */
		margin: 10px 0; /* Dodaj marginesy dla odstępów */
	}

	.swiper-container {
		height: auto; /* Dostosuj wysokość swiper'a do zawartości */
	}
	.technologies {
		flex-direction: column; /* Układa linki jedno pod drugim */
		align-items: center; /* Wyśrodkowuje linki */
		padding: 40px 0; /* Dodaje padding na górze i na dole dla lepszego odstępu */
	}

	.tech-item {
		width: 90%; /* Zwiększa szerokość, aby lepiej pasowała do mobilnego widoku */
		margin-bottom: 10px; /* Dodaje margines na dole każdego linku dla odstępu */
	}
	.company_text {
		text-align: center;
	}
	.company_text p {
		margin-left: 20px;
	}
	.our_specialties {
		margin-left: 20px;
		margin-right: 20px;
	}
	.swiper-slide img {
		max-height: 80px; /* Przykładowa zmniejszona wysokość obrazów */
	}
	.range {
		margin-left: 20px;
		margin-right: 20px;
		text-align: center;
	}
	.range_text {
		order: 1;
	}
	.range_image {
		order: 2;
	}
	.range_icon p {
		text-align: left;
	}
	.range_icon lord-icon {
		width: 30px; /* Nowa szerokość dla urządzeń mobilnych */
		height: 30px; /* Nowa wysokość dla urządzeń mobilnych */
	}
	.cooperation_head h2 {
		margin-left: 20px;
		margin-right: 20px;
	}
}
